#ifndef UI_CONFIGDIALOG_H
#define UI_CONFIGDIALOG_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QHBoxLayout>
#include <QtGui/QListWidget>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QStackedWidget>
#include <QtGui/QWidget>

class Ui_ConfigDialog
{
public:
    QWidget *layoutWidget;
    QHBoxLayout *hboxLayout;
    QListWidget *contentsWidget;
    QStackedWidget *pagesWidget;
    QWidget *horizontalLayout;
    QHBoxLayout *hboxLayout1;
    QSpacerItem *spacerItem;
    QPushButton *okButton;
    QPushButton *cancelButton;

    void setupUi(QDialog *ConfigDialog)
    {
    ConfigDialog->setObjectName(QString::fromUtf8("ConfigDialog"));
    ConfigDialog->resize(QSize(615, 501).expandedTo(ConfigDialog->minimumSizeHint()));
    layoutWidget = new QWidget(ConfigDialog);
    layoutWidget->setObjectName(QString::fromUtf8("layoutWidget"));
    layoutWidget->setGeometry(QRect(10, 10, 591, 422));
    hboxLayout = new QHBoxLayout(layoutWidget);
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(0);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    contentsWidget = new QListWidget(layoutWidget);
    contentsWidget->setObjectName(QString::fromUtf8("contentsWidget"));
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(5), static_cast<QSizePolicy::Policy>(5));
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(contentsWidget->sizePolicy().hasHeightForWidth());
    contentsWidget->setSizePolicy(sizePolicy);
    contentsWidget->setMinimumSize(QSize(140, 420));
    contentsWidget->setMaximumSize(QSize(140, 420));
    contentsWidget->setIconSize(QSize(96, 96));
    contentsWidget->setSpacing(12);
    contentsWidget->setViewMode(QListView::IconMode);

    hboxLayout->addWidget(contentsWidget);

    pagesWidget = new QStackedWidget(layoutWidget);
    pagesWidget->setObjectName(QString::fromUtf8("pagesWidget"));
    QSizePolicy sizePolicy1(static_cast<QSizePolicy::Policy>(7), static_cast<QSizePolicy::Policy>(7));
    sizePolicy1.setHorizontalStretch(0);
    sizePolicy1.setVerticalStretch(0);
    sizePolicy1.setHeightForWidth(pagesWidget->sizePolicy().hasHeightForWidth());
    pagesWidget->setSizePolicy(sizePolicy1);

    hboxLayout->addWidget(pagesWidget);

    horizontalLayout = new QWidget(ConfigDialog);
    horizontalLayout->setObjectName(QString::fromUtf8("horizontalLayout"));
    horizontalLayout->setGeometry(QRect(10, 450, 591, 41));
    hboxLayout1 = new QHBoxLayout(horizontalLayout);
    hboxLayout1->setSpacing(6);
    hboxLayout1->setMargin(0);
    hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
    spacerItem = new QSpacerItem(407, 31, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout1->addItem(spacerItem);

    okButton = new QPushButton(horizontalLayout);
    okButton->setObjectName(QString::fromUtf8("okButton"));

    hboxLayout1->addWidget(okButton);

    cancelButton = new QPushButton(horizontalLayout);
    cancelButton->setObjectName(QString::fromUtf8("cancelButton"));

    hboxLayout1->addWidget(cancelButton);

    retranslateUi(ConfigDialog);
    QObject::connect(okButton, SIGNAL(clicked()), ConfigDialog, SLOT(accept()));
    QObject::connect(cancelButton, SIGNAL(clicked()), ConfigDialog, SLOT(reject()));

    contentsWidget->setCurrentRow(-1);
    pagesWidget->setCurrentIndex(-1);


    QMetaObject::connectSlotsByName(ConfigDialog);
    } // setupUi

    void retranslateUi(QDialog *ConfigDialog)
    {
    ConfigDialog->setWindowTitle(QApplication::translate("ConfigDialog", "Configure Texmaker", 0, QApplication::UnicodeUTF8));
    okButton->setText(QApplication::translate("ConfigDialog", "OK", 0, QApplication::UnicodeUTF8));
    cancelButton->setText(QApplication::translate("ConfigDialog", "Cancel", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(ConfigDialog);
    } // retranslateUi

};

namespace Ui {
    class ConfigDialog: public Ui_ConfigDialog {};
} // namespace Ui

#endif // UI_CONFIGDIALOG_H
