#ifndef UI_LETTERDIALOG_H
#define UI_LETTERDIALOG_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QCheckBox>
#include <QtGui/QComboBox>
#include <QtGui/QDialog>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QWidget>

class Ui_LetterDialog
{
public:
    QWidget *layoutWidget;
    QHBoxLayout *hboxLayout;
    QSpacerItem *spacerItem;
    QPushButton *okButton;
    QPushButton *cancelButton;
    QWidget *layoutWidget_2;
    QGridLayout *gridLayout;
    QComboBox *comboBoxPaper;
    QLabel *label1;
    QLabel *label3;
    QCheckBox *checkBox;
    QComboBox *comboBoxPt;
    QComboBox *comboBoxEncoding;
    QLabel *label2;

    void setupUi(QDialog *LetterDialog)
    {
    LetterDialog->setObjectName(QString::fromUtf8("LetterDialog"));
    LetterDialog->resize(QSize(342, 192).expandedTo(LetterDialog->minimumSizeHint()));
    layoutWidget = new QWidget(LetterDialog);
    layoutWidget->setObjectName(QString::fromUtf8("layoutWidget"));
    layoutWidget->setGeometry(QRect(10, 150, 321, 33));
    hboxLayout = new QHBoxLayout(layoutWidget);
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(0);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    spacerItem = new QSpacerItem(131, 31, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout->addItem(spacerItem);

    okButton = new QPushButton(layoutWidget);
    okButton->setObjectName(QString::fromUtf8("okButton"));

    hboxLayout->addWidget(okButton);

    cancelButton = new QPushButton(layoutWidget);
    cancelButton->setObjectName(QString::fromUtf8("cancelButton"));

    hboxLayout->addWidget(cancelButton);

    layoutWidget_2 = new QWidget(LetterDialog);
    layoutWidget_2->setObjectName(QString::fromUtf8("layoutWidget_2"));
    layoutWidget_2->setGeometry(QRect(10, 10, 321, 131));
    gridLayout = new QGridLayout(layoutWidget_2);
    gridLayout->setSpacing(6);
    gridLayout->setMargin(0);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    comboBoxPaper = new QComboBox(layoutWidget_2);
    comboBoxPaper->setObjectName(QString::fromUtf8("comboBoxPaper"));

    gridLayout->addWidget(comboBoxPaper, 1, 1, 1, 1);

    label1 = new QLabel(layoutWidget_2);
    label1->setObjectName(QString::fromUtf8("label1"));
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(1));
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(label1->sizePolicy().hasHeightForWidth());
    label1->setSizePolicy(sizePolicy);

    gridLayout->addWidget(label1, 0, 0, 1, 1);

    label3 = new QLabel(layoutWidget_2);
    label3->setObjectName(QString::fromUtf8("label3"));
    QSizePolicy sizePolicy1(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(1));
    sizePolicy1.setHorizontalStretch(0);
    sizePolicy1.setVerticalStretch(0);
    sizePolicy1.setHeightForWidth(label3->sizePolicy().hasHeightForWidth());
    label3->setSizePolicy(sizePolicy1);

    gridLayout->addWidget(label3, 2, 0, 1, 1);

    checkBox = new QCheckBox(layoutWidget_2);
    checkBox->setObjectName(QString::fromUtf8("checkBox"));

    gridLayout->addWidget(checkBox, 3, 1, 1, 1);

    comboBoxPt = new QComboBox(layoutWidget_2);
    comboBoxPt->setObjectName(QString::fromUtf8("comboBoxPt"));

    gridLayout->addWidget(comboBoxPt, 0, 1, 1, 1);

    comboBoxEncoding = new QComboBox(layoutWidget_2);
    comboBoxEncoding->setObjectName(QString::fromUtf8("comboBoxEncoding"));

    gridLayout->addWidget(comboBoxEncoding, 2, 1, 1, 1);

    label2 = new QLabel(layoutWidget_2);
    label2->setObjectName(QString::fromUtf8("label2"));
    QSizePolicy sizePolicy2(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(1));
    sizePolicy2.setHorizontalStretch(0);
    sizePolicy2.setVerticalStretch(0);
    sizePolicy2.setHeightForWidth(label2->sizePolicy().hasHeightForWidth());
    label2->setSizePolicy(sizePolicy2);

    gridLayout->addWidget(label2, 1, 0, 1, 1);

    QWidget::setTabOrder(comboBoxPt, comboBoxPaper);
    QWidget::setTabOrder(comboBoxPaper, comboBoxEncoding);
    QWidget::setTabOrder(comboBoxEncoding, checkBox);
    QWidget::setTabOrder(checkBox, okButton);
    QWidget::setTabOrder(okButton, cancelButton);
    retranslateUi(LetterDialog);
    QObject::connect(okButton, SIGNAL(clicked()), LetterDialog, SLOT(accept()));
    QObject::connect(cancelButton, SIGNAL(clicked()), LetterDialog, SLOT(reject()));

    QMetaObject::connectSlotsByName(LetterDialog);
    } // setupUi

    void retranslateUi(QDialog *LetterDialog)
    {
    okButton->setText(QApplication::translate("LetterDialog", "OK", 0, QApplication::UnicodeUTF8));
    cancelButton->setText(QApplication::translate("LetterDialog", "Cancel", 0, QApplication::UnicodeUTF8));
    label1->setText(QApplication::translate("LetterDialog", "Typeface Size", 0, QApplication::UnicodeUTF8));
    label3->setText(QApplication::translate("LetterDialog", "Encoding", 0, QApplication::UnicodeUTF8));
    checkBox->setText(QApplication::translate("LetterDialog", "AMS Packages", 0, QApplication::UnicodeUTF8));
    label2->setText(QApplication::translate("LetterDialog", "Paper Size", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(LetterDialog);
    } // retranslateUi

};

namespace Ui {
    class LetterDialog: public Ui_LetterDialog {};
} // namespace Ui

#endif // UI_LETTERDIALOG_H
