#ifndef UI_PAGEEDITOR_H
#define UI_PAGEEDITOR_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QCheckBox>
#include <QtGui/QComboBox>
#include <QtGui/QGridLayout>
#include <QtGui/QGroupBox>
#include <QtGui/QLabel>
#include <QtGui/QSpinBox>
#include <QtGui/QWidget>

class Ui_PageEditor
{
public:
    QGroupBox *groupBox;
    QWidget *layoutWidget;
    QGridLayout *gridLayout;
    QLabel *labelFamily;
    QComboBox *comboBoxEncoding;
    QSpinBox *spinBoxSize;
    QCheckBox *checkBoxLinenumber;
    QLabel *labelSize;
    QComboBox *comboBoxFont;
    QCheckBox *checkBoxWordwrap;
    QLabel *labelEncoding;

    void setupUi(QWidget *PageEditor)
    {
    PageEditor->setObjectName(QString::fromUtf8("PageEditor"));
    PageEditor->resize(QSize(440, 420).expandedTo(PageEditor->minimumSizeHint()));
    groupBox = new QGroupBox(PageEditor);
    groupBox->setObjectName(QString::fromUtf8("groupBox"));
    groupBox->setGeometry(QRect(0, 0, 440, 420));
    layoutWidget = new QWidget(groupBox);
    layoutWidget->setObjectName(QString::fromUtf8("layoutWidget"));
    layoutWidget->setGeometry(QRect(10, 20, 421, 131));
    gridLayout = new QGridLayout(layoutWidget);
    gridLayout->setSpacing(6);
    gridLayout->setMargin(0);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    labelFamily = new QLabel(layoutWidget);
    labelFamily->setObjectName(QString::fromUtf8("labelFamily"));

    gridLayout->addWidget(labelFamily, 0, 0, 1, 1);

    comboBoxEncoding = new QComboBox(layoutWidget);
    comboBoxEncoding->setObjectName(QString::fromUtf8("comboBoxEncoding"));

    gridLayout->addWidget(comboBoxEncoding, 2, 1, 1, 1);

    spinBoxSize = new QSpinBox(layoutWidget);
    spinBoxSize->setObjectName(QString::fromUtf8("spinBoxSize"));
    spinBoxSize->setMinimum(1);
    spinBoxSize->setValue(12);

    gridLayout->addWidget(spinBoxSize, 1, 1, 1, 1);

    checkBoxLinenumber = new QCheckBox(layoutWidget);
    checkBoxLinenumber->setObjectName(QString::fromUtf8("checkBoxLinenumber"));

    gridLayout->addWidget(checkBoxLinenumber, 3, 1, 1, 1);

    labelSize = new QLabel(layoutWidget);
    labelSize->setObjectName(QString::fromUtf8("labelSize"));

    gridLayout->addWidget(labelSize, 1, 0, 1, 1);

    comboBoxFont = new QComboBox(layoutWidget);
    comboBoxFont->setObjectName(QString::fromUtf8("comboBoxFont"));
    comboBoxFont->setEditable(true);

    gridLayout->addWidget(comboBoxFont, 0, 1, 1, 1);

    checkBoxWordwrap = new QCheckBox(layoutWidget);
    checkBoxWordwrap->setObjectName(QString::fromUtf8("checkBoxWordwrap"));

    gridLayout->addWidget(checkBoxWordwrap, 3, 0, 1, 1);

    labelEncoding = new QLabel(layoutWidget);
    labelEncoding->setObjectName(QString::fromUtf8("labelEncoding"));

    gridLayout->addWidget(labelEncoding, 2, 0, 1, 1);

    QWidget::setTabOrder(comboBoxFont, spinBoxSize);
    QWidget::setTabOrder(spinBoxSize, comboBoxEncoding);
    QWidget::setTabOrder(comboBoxEncoding, checkBoxWordwrap);
    QWidget::setTabOrder(checkBoxWordwrap, checkBoxLinenumber);
    retranslateUi(PageEditor);

    QMetaObject::connectSlotsByName(PageEditor);
    } // setupUi

    void retranslateUi(QWidget *PageEditor)
    {
    PageEditor->setWindowTitle(QApplication::translate("PageEditor", "Form", 0, QApplication::UnicodeUTF8));
    groupBox->setTitle(QApplication::translate("PageEditor", "Editor", 0, QApplication::UnicodeUTF8));
    labelFamily->setText(QApplication::translate("PageEditor", "Editor Font Family", 0, QApplication::UnicodeUTF8));
    checkBoxLinenumber->setText(QApplication::translate("PageEditor", "Show Line Numbers", 0, QApplication::UnicodeUTF8));
    labelSize->setText(QApplication::translate("PageEditor", "Editor Font Size", 0, QApplication::UnicodeUTF8));
    checkBoxWordwrap->setText(QApplication::translate("PageEditor", "Word Wrap", 0, QApplication::UnicodeUTF8));
    labelEncoding->setText(QApplication::translate("PageEditor", "Editor Font Encoding", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(PageEditor);
    } // retranslateUi

};

namespace Ui {
    class PageEditor: public Ui_PageEditor {};
} // namespace Ui

#endif // UI_PAGEEDITOR_H
