#ifndef UI_STRUCTDIALOG_H
#define UI_STRUCTDIALOG_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QCheckBox>
#include <QtGui/QDialog>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QWidget>

class Ui_StructDialog
{
public:
    QWidget *layoutWidget;
    QHBoxLayout *hboxLayout;
    QSpacerItem *spacerItem;
    QPushButton *okButton;
    QPushButton *cancelButton;
    QWidget *widget;
    QGridLayout *gridLayout;
    QLineEdit *TitlelineEdit;
    QCheckBox *checkBox;
    QLabel *label;

    void setupUi(QDialog *StructDialog)
    {
    StructDialog->setObjectName(QString::fromUtf8("StructDialog"));
    StructDialog->resize(QSize(322, 107).expandedTo(StructDialog->minimumSizeHint()));
    layoutWidget = new QWidget(StructDialog);
    layoutWidget->setObjectName(QString::fromUtf8("layoutWidget"));
    layoutWidget->setGeometry(QRect(10, 70, 301, 33));
    hboxLayout = new QHBoxLayout(layoutWidget);
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(0);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    spacerItem = new QSpacerItem(131, 31, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout->addItem(spacerItem);

    okButton = new QPushButton(layoutWidget);
    okButton->setObjectName(QString::fromUtf8("okButton"));

    hboxLayout->addWidget(okButton);

    cancelButton = new QPushButton(layoutWidget);
    cancelButton->setObjectName(QString::fromUtf8("cancelButton"));

    hboxLayout->addWidget(cancelButton);

    widget = new QWidget(StructDialog);
    widget->setObjectName(QString::fromUtf8("widget"));
    widget->setGeometry(QRect(10, 10, 301, 53));
    gridLayout = new QGridLayout(widget);
    gridLayout->setSpacing(6);
    gridLayout->setMargin(0);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    TitlelineEdit = new QLineEdit(widget);
    TitlelineEdit->setObjectName(QString::fromUtf8("TitlelineEdit"));

    gridLayout->addWidget(TitlelineEdit, 0, 1, 1, 1);

    checkBox = new QCheckBox(widget);
    checkBox->setObjectName(QString::fromUtf8("checkBox"));
    checkBox->setChecked(true);

    gridLayout->addWidget(checkBox, 1, 1, 1, 1);

    label = new QLabel(widget);
    label->setObjectName(QString::fromUtf8("label"));
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(1));
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(label->sizePolicy().hasHeightForWidth());
    label->setSizePolicy(sizePolicy);

    gridLayout->addWidget(label, 0, 0, 1, 1);

    label->setBuddy(TitlelineEdit);
    QWidget::setTabOrder(TitlelineEdit, checkBox);
    QWidget::setTabOrder(checkBox, okButton);
    QWidget::setTabOrder(okButton, cancelButton);
    retranslateUi(StructDialog);
    QObject::connect(okButton, SIGNAL(clicked()), StructDialog, SLOT(accept()));
    QObject::connect(cancelButton, SIGNAL(clicked()), StructDialog, SLOT(reject()));

    QMetaObject::connectSlotsByName(StructDialog);
    } // setupUi

    void retranslateUi(QDialog *StructDialog)
    {
    StructDialog->setWindowTitle(QApplication::translate("StructDialog", "Structure", 0, QApplication::UnicodeUTF8));
    okButton->setText(QApplication::translate("StructDialog", "OK", 0, QApplication::UnicodeUTF8));
    cancelButton->setText(QApplication::translate("StructDialog", "Cancel", 0, QApplication::UnicodeUTF8));
    checkBox->setText(QApplication::translate("StructDialog", "Numeration", 0, QApplication::UnicodeUTF8));
    label->setText(QApplication::translate("StructDialog", "Title", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(StructDialog);
    } // retranslateUi

};

namespace Ui {
    class StructDialog: public Ui_StructDialog {};
} // namespace Ui

#endif // UI_STRUCTDIALOG_H
